public class Checkerboard {
    /* Reads one int command-line argument that specifies
       the side, in pixels, of a checkerboard. Generates the
       checkerboard with a pixel per square, with the top left
       square black.
       Example execution: java-introcs Checkerboard n
     */
    public static void main(String[] args) {
        Stopwatch watch = new Stopwatch(); // Start clock
        int MIN_LEVEL = 0, MAX_LEVEL = 255;
        int side = Integer.parseInt(args[0]);
        StdPicture.init(side, side);

        for (int col = 0; col < side; col++) {
            boolean black = (col % 2 == 0);
            for (int row = 0; row < side; row++) {
                if (black)
                    StdPicture.setRGB(col, row, MIN_LEVEL, MIN_LEVEL, MIN_LEVEL);
                else
                    StdPicture.setRGB(col, row, MAX_LEVEL, MAX_LEVEL, MAX_LEVEL);
                black = !black;
            }
        }

        StdPicture.save(side + "x" + side + ".png"); // Save picture
        System.out.println("Elapsed time: " + watch.elapsedTime()); // Print elapsed time
    }
}
